## org.apache.aries.subsystem.core.archive
Class ProvideBundleCapability

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractCapability
          org.apache.aries.subsystem.core.archive.ProvideBundleCapability

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class ProvideBundleCapability

extends AbstractCapability

Field Summary
`static String` `ATTRIBUTE_BUNDLE_VERSION`
`static String` `DIRECTIVE_EFFECTIVE`
`static String` `DIRECTIVE_FRAGMENT_ATTACHMENT`
`static String` `DIRECTIVE_MANDATORY`
`static String` `DIRECTIVE_SINGLETON`
`static String` `DIRECTIVE_USES`
`static String` `NAMESPACE`

Constructor Summary
`ProvideBundleCapability(BundleSymbolicNameHeader bsn, BundleVersionHeader version, org.osgi.resource.Resource resource)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractCapability
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_BUNDLE_VERSION

    public static final String ATTRIBUTE_BUNDLE_VERSION

See Also:
  Constant Field Values

### DIRECTIVE_EFFECTIVE

    public static final String DIRECTIVE_EFFECTIVE

See Also:
  Constant Field Values

### DIRECTIVE_FRAGMENT_ATTACHMENT

    public static final String DIRECTIVE_FRAGMENT_ATTACHMENT

See Also:
  Constant Field Values

### DIRECTIVE_MANDATORY

    public static final String DIRECTIVE_MANDATORY

See Also:
  Constant Field Values

### DIRECTIVE_SINGLETON

    public static final String DIRECTIVE_SINGLETON

See Also:
  Constant Field Values

### DIRECTIVE_USES

    public static final String DIRECTIVE_USES

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### ProvideBundleCapability

    public ProvideBundleCapability(BundleSymbolicNameHeader bsn,
                                   BundleVersionHeader version,
                                   org.osgi.resource.Resource resource)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.